Skip to main content

Start a SnapRAID scrub

POST 

/parity/scrub

Required role: admin. Only an account or token with the admin role can call this operation.

Example request
curl --request POST \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
--header "Content-Type: application/json" \
--data @body.json \
"https://$HOSERVA_HOST:8008/api/v1/parity/scrub"

Queues a scrub job (hoserva scrub). By default it skips blocks newer than 10 days; allBlocks scrubs every block.

Request​

Responses​

The queued or running scrub job.